curl --request GET \
--url https://api.dev.name.com/core/v1/orders \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.dev.name.com/core/v1/orders"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.dev.name.com/core/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123,
"from": 123,
"to": 123,
"orders": [
{
"authAmount": 123,
"createDate": "<string>",
"currency": "<string>",
"currencyRate": 123,
"finalAmount": 123,
"id": 123,
"orderItems": [
{
"duration": 123,
"id": 123,
"interval": "<string>",
"name": "<string>",
"originalPrice": 123,
"price": 123,
"quantity": 123,
"status": "<string>",
"type": "<string>",
"isRefundable": true,
"priceNonUsd": 123,
"taxAmount": 123,
"tld": "<string>"
}
],
"registrar": "<string>",
"status": "<string>",
"totalCapture": 10.95,
"totalRefund": 10.95
}
],
"lastPage": 123,
"nextPage": 123,
"parentAccountId": 123
}{
"message": "Bad Request",
"details": "'domainName' cannot be null"
}{
"message": "Unauthorized"
}{
"message": "Permission denied",
"details": "Failed authentication"
}{
"message": "Method Not Allowed"
}{
"message": "Rate Limit Exceeded"
}{
"message": "Internal Server Error",
"details": "Something went wrong."
}{
"message": "The server received an invalid response from the upstream server."
}{
"message": "Service Unavailable",
"details": "The API is offline for scheduled maintenance. See https://status.name.com for updates."
}{
"message": "The upstream server is taking too long to respond."
}List Orders
Retrieves a list of all orders placed in the account.
Authorizations
Authenticate via HTTP Basic with your account username and API token. Examples use an explicit 'Authorization: Basic <base64(username:token)>' header; 'curl -u username:token' is equivalent. For sandbox, append "-test" to your username and use your sandbox token on api.dev.name.com.
Query Parameters
Per Page is the number of records to return per request. Per Page defaults to 500. Maximum number of records to return per page for paginated list endpoints.
1 <= x <= 1000Page is which page to return.
x >= 1Dir indicates direction of list order. Possible values are 'asc' (default) or 'desc'.
DomainName filters orders by domain name. Supports exact match or wildcard (starts with '*').
Tld filters orders by tld.
CreateDateStart filters orders created on or after this date.
CreateDateEnd filters orders created on or before this date.
Type filters orders by order item type (e.g., 'registration', 'renewal', 'transfer', 'whois_privacy').
OrderStatus filters orders by status.
success, failed, initialized, review, started Response
A successful response.
ListOrdersResponse is the response from a list request, it contains the paginated list of Orders.
TotalCount is total number of results.
From specifies starting record number on current page.
To specifies ending record number on current page.
Orders is the collection of orders, if any, in the requesting account.
Show child attributes
Show child attributes
LastPage is the identifier for the final page of results. It is only populated if there is another page of results after the current page.
NextPage is the identifier for the next page of results. It is only populated if there is another page of results after the current page.
ParentAccountId field is populated when requesting account has a parent account id.
Was this page helpful?